#include <bits/stdc++.h>

using namespace std;
int t,n,m;
long long a[100000000],b[10000000];
int main(){
    cin>>t;
    for(int i=1;i<=t;i++){
        cin>>n>>m;


    for(int j=1;j<=n;j++){
        cin>>a[j];
    }
    for(int h=1;h<=m;h++){
        cin>>b[h];

    }
    }
    for(int i=1;i<=t;i++){
        cout<<1<<endl;

    }




    return 0;
}